<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="552471c5-2b73-41b2-b053-433d16434d28" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/background_removal.py" afterPath="$PROJECT_DIR$/background_removal.py" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/Originals/picture1.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/Originals/picture2.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/Originals/picture3.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/Originals/picture4.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/Originals/picture5.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/old/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/old/picture2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/old/picture3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/old/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/old/picture5.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/photothumb.db" afterPath="$PROJECT_DIR$/imagesCherry/healthy/photothumb.db" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/picture2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/picture3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/healthy/picture5.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/1.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/2.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/4.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/Originals/3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/Originals/Originals/picture2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/Originals/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/Originals/picture2.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/Originals/picture3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/Originals/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/Originals/picture5.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/Originals/sick1.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/bc2.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/bcg.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/photothumb.db" afterPath="$PROJECT_DIR$/imagesCherry/powderyMildew/photothumb.db" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/picture2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/picture3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/r1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/r2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/r3.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/r4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/solid-red-fabric-Robert-Kaufman-USA-Red-179485-1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/t1.png" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/t2.png" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/t3.png" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/t4.png" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/w1.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/w11.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/w12.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/w1b1.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/w1b2.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/w2.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/w3.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/w4.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/wood.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/wood1.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/powderyMildew/wood1b.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/Originals/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/Originals/picture2.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/Originals/picture3.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/Originals/picture4.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/Originals/picture5.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/old/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/old/picture2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/old/picture3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/old/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/old/picture5.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/photothumb.db" afterPath="$PROJECT_DIR$/imagesCherry/test/photothumb.db" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/picture2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/picture3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesCherry/test/picture5.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/Originals/cab.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/Originals/chard.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/more/photothumb.db" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/more/picture3.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/old/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/old/picture2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/old/picture3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/old/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/old/picture5.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/photothumb.db" afterPath="$PROJECT_DIR$/imagesGrapes/healthy/photothumb.db" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/picture2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/picture3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/healthy/picture5.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/Originals/picture1.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/Originals/picture2.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/Originals/picture3.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/Originals/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/Originals/picture5.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/photothumb.db" afterPath="$PROJECT_DIR$/imagesGrapes/powderyMildew/photothumb.db" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/picture1.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/picture1.png" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/picture2.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/picture3.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/powderyMildew/picture5.jpg" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/Originals/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/old/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/old/picture2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/old/picture3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/old/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/old/picture5.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/picture1.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/picture2.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/picture3.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/picture4.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/imagesGrapes/test/picture5.JPG" afterPath="" />
      <change beforePath="$PROJECT_DIR$/leaf_recognition.py" afterPath="$PROJECT_DIR$/leaf_recognition.py" />
      <change beforePath="$PROJECT_DIR$/main.py" afterPath="$PROJECT_DIR$/main.py" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/Plant_Disease_Recognition$main.coverage" NAME="main Coverage Results" MODIFIED="1519155307993" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
  </component>
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="main.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/main.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="0">
              <caret line="0" column="18" lean-forward="true" selection-start-line="0" selection-start-column="18" selection-end-line="0" selection-end-column="18" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="disease_recognition.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/disease_recognition.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="136">
              <caret line="8" column="23" lean-forward="true" selection-start-line="8" selection-start-column="23" selection-end-line="8" selection-end-column="23" />
              <folding>
                <element signature="e#0#10#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="data_loader.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/data_loader.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-459">
              <caret line="18" column="27" lean-forward="false" selection-start-line="18" selection-start-column="27" selection-end-line="18" selection-end-column="27" />
              <folding>
                <element signature="e#0#44#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="utils.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/utils.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="527">
              <caret line="31" column="0" lean-forward="false" selection-start-line="31" selection-start-column="0" selection-end-line="31" selection-end-column="0" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="leaf_recognition.py" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/leaf_recognition.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="204">
              <caret line="12" column="0" lean-forward="true" selection-start-line="12" selection-start-column="0" selection-end-line="12" selection-end-column="0" />
              <folding>
                <element signature="e#0#18#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="background_removal.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/background_removal.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="170">
              <caret line="10" column="19" lean-forward="false" selection-start-line="10" selection-start-column="19" selection-end-line="10" selection-end-column="19" />
              <folding>
                <element signature="e#0#10#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/load_data.py" />
        <option value="$PROJECT_DIR$/background_removal.py" />
        <option value="$PROJECT_DIR$/leaf_recognition.py" />
        <option value="$PROJECT_DIR$/data_loader.py" />
        <option value="$PROJECT_DIR$/utils.py" />
        <option value="$PROJECT_DIR$/main.py" />
        <option value="$PROJECT_DIR$/disease_recognition.py" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-8" />
    <option name="width" value="1378" />
    <option name="height" value="744" />
  </component>
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="1" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Plant-Disease-Recognition" type="b2602c69:ProjectViewProjectNode" />
              <item name="Plant-Disease-Recognition" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Plant-Disease-Recognition" type="b2602c69:ProjectViewProjectNode" />
              <item name="Plant-Disease-Recognition" type="462c0819:PsiDirectoryNode" />
              <item name="imagesGrapes" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="Scratches" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="main" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="PlantDiseaseRecognition" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" enabled="false" sample_coverage="true" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/main.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
    </configuration>
    <configuration default="true" type="PythonConfigurationType" factoryName="Python">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="PlantDiseaseRecognition" />
      <option name="SCRIPT_NAME" value="" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="Tox" factoryName="Tox">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="PlantDiseaseRecognition" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="Attests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="PlantDiseaseRecognition" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="Doctests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="PlantDiseaseRecognition" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="Nosetests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="PlantDiseaseRecognition" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <option name="PARAMS" value="" />
      <option name="USE_PARAM" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="Unittests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="PlantDiseaseRecognition" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <option name="PUREUNITTEST" value="true" />
      <option name="PARAMS" value="" />
      <option name="USE_PARAM" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="tests" factoryName="py.test">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="PlantDiseaseRecognition" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <option name="testToRun" value="" />
      <option name="keywords" value="" />
      <option name="params" value="" />
      <option name="USE_PARAM" value="false" />
      <option name="USE_KEYWORD" value="false" />
      <method />
    </configuration>
    <recent_temporary>
      <list size="1">
        <item index="0" class="java.lang.String" itemvalue="Python.main" />
      </list>
    </recent_temporary>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="552471c5-2b73-41b2-b053-433d16434d28" name="Default" comment="" />
      <created>1517492759696</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1517492759696</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="0" width="1378" height="744" extended-state="0" />
    <layout>
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Documentation" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.17107195" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" x="0" y="0" width="294" height="544" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Python Console" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="true" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.3169572" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.2496329" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Docker" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="false" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="SciView" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.10939795" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3312203" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3296355" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="3" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/main.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/background_removal.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1360">
          <caret line="86" column="0" lean-forward="true" selection-start-line="86" selection-start-column="0" selection-end-line="86" selection-end-column="0" />
          <folding>
            <element signature="e#0#10#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="8" column="0" lean-forward="true" selection-start-line="8" selection-start-column="0" selection-end-line="8" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.PyCharm2017.3/system/python_stubs/-344516252/cv2/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Anaconda3/Lib/site-packages/keras/engine/topology.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-603">
          <caret line="436" column="33" lean-forward="true" selection-start-line="436" selection-start-column="33" selection-end-line="436" selection-end-column="33" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Anaconda3/Lib/site-packages/keras/layers/core.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="123">
          <caret line="481" column="8" lean-forward="false" selection-start-line="481" selection-start-column="8" selection-end-line="481" selection-end-column="8" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="18" lean-forward="true" selection-start-line="0" selection-start-column="18" selection-end-line="0" selection-end-column="18" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/background_removal.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" column="19" lean-forward="false" selection-start-line="10" selection-start-column="19" selection-end-line="10" selection-end-column="19" />
          <folding>
            <element signature="e#0#10#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/disease_recognition.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="23" lean-forward="true" selection-start-line="8" selection-start-column="23" selection-end-line="8" selection-end-column="23" />
          <folding>
            <element signature="e#0#10#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data_loader.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-459">
          <caret line="18" column="27" lean-forward="false" selection-start-line="18" selection-start-column="27" selection-end-line="18" selection-end-column="27" />
          <folding>
            <element signature="e#0#44#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/utils.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="527">
          <caret line="31" column="0" lean-forward="false" selection-start-line="31" selection-start-column="0" selection-end-line="31" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/leaf_recognition.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="12" column="0" lean-forward="true" selection-start-line="12" selection-start-column="0" selection-end-line="12" selection-end-column="0" />
          <folding>
            <element signature="e#0#18#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>